summaryrefslogtreecommitdiff
path: root/dev-python/construct
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/construct')
-rw-r--r--dev-python/construct/Manifest1
-rw-r--r--dev-python/construct/construct-2.10.56.ebuild35
-rw-r--r--dev-python/construct/metadata.xml17
3 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/construct/Manifest b/dev-python/construct/Manifest
new file mode 100644
index 000000000000..669e2ab0547f
--- /dev/null
+++ b/dev-python/construct/Manifest
@@ -0,0 +1 @@
+DIST construct-2.10.56.tar.gz 1184110 BLAKE2B 01ce1800970826ae3584a9733de171e04dd926e7d19d8b48b4364406b4aa0f4d878ec52f9a7f755bb249aeeaca75ae6221d6bdf302d4342d4974d268b1782175 SHA512 cc9aa126c26a017a3fb7b78a6b8f2056194028a44c8ed615a6dc4a445d50f0463e2de0b80810ab5a252070925a56b5a61dbb601a3de9e445d861356231a146d5
diff --git a/dev-python/construct/construct-2.10.56.ebuild b/dev-python/construct/construct-2.10.56.ebuild
new file mode 100644
index 000000000000..3a485cc76365
--- /dev/null
+++ b/dev-python/construct/construct-2.10.56.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="A powerful declarative parser for binary data"
+HOMEPAGE="https://construct.readthedocs.io/en/latest/ https://pypi.org/project/construct/"
+SRC_URI="https://github.com/construct/construct/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+BDEPEND+="
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.4[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ )"
+
+src_prepare() {
+ default
+ rm tests/test_benchmarks.py || die
+}
+
+pkg_postinst() {
+ ewarn "Version 2.10.x has significant API and implementation changes from"
+ ewarn "previous 2.9.x releases. Please read the documentation at"
+ ewarn "https://construct.readthedocs.io/en/latest/transition210.html"
+ ewarn "for more info."
+}
diff --git a/dev-python/construct/metadata.xml b/dev-python/construct/metadata.xml
new file mode 100644
index 000000000000..0f437c2d5125
--- /dev/null
+++ b/dev-python/construct/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>azamat.hackimov@gmail.com</email>
+ <name>Azamat H. Hackimov</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">construct/construct</remote-id>
+ <remote-id type="pypi">construct</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>